// アコーディオン
$('.category').on('click',function () {
  $(this).toggleClass("open");
  $(this).next().slideToggle();
});

$(function() {
  var h = $(window).height(); //画面の高さを取得

  // ローディング表示
  $('footer a').click(function(event){
    const a = $(this);
    event.preventDefault();
    $('#loader-bg ,#loader').height(h).css('display','block');//ローディング画像を表示

    setTimeout(function(){
      window.location.href = a[0].href;
    }, 1000);
  });

  // お気に入りボタン押下イベント
  $('.star').click(function(){
    if($(this).hasClass('active')){
      $(this).removeClass('active');
      $(this).addClass('disable');
    }else{
      $(this).removeClass('disable');
      $(this).addClass('active');
    }
  });

  // 共通検索フォーム　キャンセルボタン表示
  $('.search_form input[type="search"]').click(function(){
    $(this).addClass('focus');
    // キャンセルボタン表示
    $('.cancel').removeClass('none');
    $('.search_form form').addClass('d-flex flex-row h-100 align-items-center');
    $('.content').addClass('none');
  });
  // 共通検索フォーム　キャンセルボタン押下イベント
  $('.search_form .cancel').click(function(){
    $(this).addClass('none');
    $('.search_form input').removeClass('focus');
    $('.search_form input').val('');
    $('.search_form form').removeClass();
    $('.content').removeClass('none');
    $('.overlay_src_msg').empty();
  });

});
